B2BB2B LLM

Hosted tīmekļa meklēšana

Izmantojiet rīku Responses API web_search, nevis atsevišķu galapunktu.

Hosted tīmekļa meklēšana

Model Gate nepublicē atsevišķu /v1/web-search pieprasīt līgumu. Izmantot POST /v1/responses ar mitināto web_search rīks.

Pieprasīt

curl https://api.model-gate.com/v1/responses \
  -H "Authorization: Bearer mg_live_..." \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.4",
    "input": [{"role": "user", "content": [{"type": "input_text", "text": "Find the latest official release notes."}]}],
    "tools": [{"type": "web_search"}],
    "tool_choice": "required",
    "include": ["web_search_call.action.sources"],
    "stream": false
  }'

Atbilde

Pabeigtais atbilžu objekts ietver modeļa izvadi un pārbaudāmus tīmekļa meklēšanas avotus, ja augšējais modelis atbalsta mitinātu meklēšanu.

{
  "id": "resp_...",
  "object": "response",
  "status": "completed",
  "output": [
    {
      "type": "web_search_call",
      "action": {
        "sources": [
          {"type": "url", "url": "https://example.com/source"}
        ]
      }
    },
    {
      "type": "message",
      "content": [
        {"type": "output_text", "text": "..."}
      ]
    }
  ]
}